Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.model
Class PizzaList

    java.lang.Object
      |
      +--de.ix.jspTutorial.model.PizzaList

public class PizzaList
extends java.lang.Object

This class represents a list of different pizza.

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de), Lars Röwekamp ( lars.roewekamp@openKnowledge.de)

Field Summary
`private java.util.TreeMap` | `pizzas` list of all possible pizza
`static java.lang.String` | `vcid` version of source

Constructor Summary
`PizzaList()` Constructor to create empty list of pizzas
`PizzaList(java.util.TreeMap pizzas)` Constructor to create ereal list of pizzas

Method Summary
`Pizza` | `getPizza(java.lang.Long key)` Getter method for one specified pizza from the pizza list
`java.util.TreeMap` | `getPizzas()` Getter method for attribute `pizzas`
`void` | `readList(javax.servlet.ServletContext aApplication)` Read pizza list out of the db, using the `PizzaAccessor` singleton
`java.lang.String` | `toString()` Build a string out of the pizza list

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### pizzas

    private java.util.TreeMap pizzas

  list of all possible pizza

### vcid

    public static java.lang.String vcid

  version of source

Constructor Detail

### PizzaList

    public PizzaList()

  Constructor to create empty list of pizzas

### PizzaList

    public PizzaList(java.util.TreeMap pizzas)

  Constructor to create ereal list of pizzas
  Parameters:
    `pizzas` - lst of pizzas

Method Detail

### getPizza

    public Pizza getPizza(java.lang.Long key)

  Getter method for one specified pizza from the pizza list
  Parameters:
    `key` - unique id of the requested pizza
  Returns:
    requested pizza

### getPizzas

    public java.util.TreeMap getPizzas()

  Getter method for attribute `pizzas`
  Returns:
    current list of pizzas

### readList

    public void readList(javax.servlet.ServletContext aApplication)

  Read pizza list out of the db, using the `PizzaAccessor` singleton
  Parameters:
    `aApplication` - the application
  See Also:
    `PizzaAccessor.readPizzaList(ServletContext)`

### toString

    public java.lang.String toString()

  Build a string out of the pizza list
  Overrides:
    toString in class java.lang.Object
  Returns:
    String representation of the pizza list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~